﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.MaCity>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Area List
    </h1>
</div>
@section scripts{
    <script type="text/javascript">

        deleterecord("MaCity");
    </script>
}
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">City</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">

        @{
            string error = "";
            string message = "";
            try
            {
                error = ViewBag.error;
            }
            catch (Exception ex)
            { }
            try
            {
                message = ViewBag.message;
            }
            catch (Exception ex)
            { }
            if (error != "" && error != null)
            {
                <div class="alert alert-danger">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @error
                </div>
            }
            if (message != "" && message != null)
            {
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @message
                </div>
            }



        }
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">


            <table class="table">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.CityName)
                    </th>
                 
                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.CityName)
                        </td>
                      
                        <td>
                            @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                            @{

                    int roleid = StaticLogic.RoleId();
                    if (Permission.CheckPermission(roleid, CommonUtil.AddArea, UserAction.Delete) == true)
                    {
                        @Html.ImageActionLink("../../Content/themes/base/images/delete.png", "Delete", "Delete", "MaCity", new { id = item.Id }, new { @class = "delete-link" }, null)
                    }
                            }
                            @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                        </td>

                    </tr>
                }

            </table>


        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
    </div>
</div>
